Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# Q3Frame Class Reference

     #include <Q3Frame>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See Porting to Qt 4 for more information.

Inherits: QFrame.

Inherited by: Q3DockWindow, Q3Grid, Q3HBox, Q3ScrollView, and Q3WidgetStack.

- List of all members, including inherited members

## Properties

- contentsRect : const QRect
- margin : int

- 6 properties inherited from QFrame
- 58 properties inherited from QWidget
- 1 property inherited from QObject

## Public Functions

| Q3Frame ( QWidget * parent, const char * name = 0, Qt::WindowFlags f = 0 )
| ~Q3Frame ()
QRect | contentsRect () const
int | frameWidth () const
int | margin () const
void | setMargin ( int )

- 14 public functions inherited from QFrame
- 221 public functions inherited from QWidget
- 29 public functions inherited from QObject
- 13 public functions inherited from QPaintDevice

## Protected Functions

virtual void | drawContents ( QPainter * painter )
virtual void | drawFrame ( QPainter * p )
virtual void | frameChanged ()

## Reimplemented Protected Functions

virtual void | paintEvent ( QPaintEvent * event )
virtual void | resizeEvent ( QResizeEvent * event )

- 3 protected functions inherited from QFrame
- 37 protected functions inherited from QWidget
- 8 protected functions inherited from QObject
- 1 protected function inherited from QPaintDevice

### Additional Inherited Members

- 19 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 1 signal inherited from QWidget
- 1 signal inherited from QObject
- 4 static public members inherited from QWidget
- 7 static public members inherited from QObject
- 1 protected slot inherited from QWidget

## Detailed Description

## Property Documentation

### contentsRect : const QRect

This property holds the frame's contents rectangle (including the margins).

Access functions:

QRect | contentsRect () const

### margin : int

This property holds the width of the margin.

The margin is the distance between the innermost pixel of the frame and the outermost pixel of contentsRect(). It is included in frameWidth().

The margin is filled according to backgroundMode().

The default value is 0.

Access functions:

int | margin () const
void | setMargin ( int )

See also lineWidth() and frameWidth().

## Member Function Documentation

### Q3Frame::Q3Frame ( QWidget * parent, const char * name = 0, Qt::WindowFlags f = 0 )

Creates a new frame with the given parent, object name, and with widget flags f.

### Q3Frame::~Q3Frame ()

Destructs the frame.

### void Q3Frame::drawContents ( QPainter * painter )`[virtual protected]`

Virtual function that draws the contents of the frame on the given painter.

The QPainter is already open when you get it, and you must leave it open. Painter transformations are switched off on entry. If you transform the painter, remember to take the frame into account and reset transformation before returning.

This function is reimplemented by subclasses that draw something inside the frame. It should only draw inside contentsRect(). The default function does nothing.

See also contentsRect() and QPainter::setClipRect().

### void Q3Frame::drawFrame ( QPainter * p )`[virtual protected]`

Draws the frame using the painter p and the current frame attributes and color group. The rectangle inside the frame is not affected.

This function is virtual, but in general you do not need to reimplement it. If you do, note that the QPainter is already open and must remain open.

See also frameRect(), contentsRect(), drawContents(), frameStyle(), and setPalette().

### void Q3Frame::frameChanged ()`[virtual protected]`

Virtual function that is called when the frame style, line width or mid-line width changes.

This function can be reimplemented by subclasses that need to know when the frame attributes change.

### int Q3Frame::frameWidth () const

Returns the width of the frame (including the margin).

### void Q3Frame::paintEvent ( QPaintEvent * event )`[virtual protected]`

Reimplemented from QWidget::paintEvent().

Paints the frame (or part of the frame) that's necessary, depending on the event.

### void Q3Frame::resizeEvent ( QResizeEvent * event )`[virtual protected]`

Reimplemented from QWidget::resizeEvent().

This just calls frameChanged(); it does not make use of the event itself.